--**********************
--  EHSD
--  INS ALINGMENT MENU
--**********************

-- ALL MODES MENU
-- LEFT
local	ehsd_btn_02				= CreateElement "ceStringPoly"
		ehsd_btn_02.name		= "ehsd_btn_02"
		ehsd_btn_02.material	= mpcd_tpod_font
		ehsd_btn_02.init_pos	= mpcd_btn_02_pos
		ehsd_btn_02.alignment	= "CenterCenter"
		ehsd_btn_02.value		= "D\nA\nT\nA"
		ehsd_btn_02.stringdefs	= MPCD_default_font_size
		ehsd_btn_02.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_02)

local	ehsd_btn_03				= CreateElement "ceStringPoly"
		ehsd_btn_03.name		= "ehsd_btn_03"
		ehsd_btn_03.material	= mpcd_tpod_font
		ehsd_btn_03.init_pos	= mpcd_btn_03_pos
		ehsd_btn_03.alignment	= "CenterCenter"
		ehsd_btn_03.value		= "M\nA\nP\nM"
		ehsd_btn_03.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_03)

local	ehsd_btn_04				= CreateElement "ceStringPoly"
		ehsd_btn_04.name		= "ehsd_btn_04"
		ehsd_btn_04.material	= mpcd_tpod_font
		ehsd_btn_04.init_pos	= mpcd_btn_04_pos
		ehsd_btn_04.alignment	= "CenterCenter"
		ehsd_btn_04.value		= "A\nW\nL\nS"
		ehsd_btn_04.stringdefs	= MPCD_default_font_size
		ehsd_btn_04.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_04)

local	ehsd_btn_05				= CreateElement "ceStringPoly"
		ehsd_btn_05.name		= "ehsd_btn_05"
		ehsd_btn_05.material	= mpcd_tpod_font
		ehsd_btn_05.init_pos	= mpcd_btn_05_pos
		ehsd_btn_05.alignment	= "CenterCenter"
		ehsd_btn_05.value		= "T\nC\nN"
		ehsd_btn_05.stringdefs	= MPCD_default_font_size
		ehsd_btn_05.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_05)

-- TOP
local	ehsd_btn_10				= CreateElement "ceStringPoly"
		ehsd_btn_10.name		= "ehsd_btn_10"
		ehsd_btn_10.material	= mpcd_tpod_font
		ehsd_btn_10.init_pos	= mpcd_btn_10_pos
		ehsd_btn_10.alignment	= "CenterCenter"
		ehsd_btn_10.value		= "NSEQ"
		ehsd_btn_10.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_10)

-- RIGHT
local	ehsd_btn_11				= CreateElement "ceStringPoly"
		ehsd_btn_11.name		= "ehsd_btn_11"
		ehsd_btn_11.material	= mpcd_tpod_font
		ehsd_btn_11.init_pos	= mpcd_btn_11_pos
		ehsd_btn_11.alignment	= "CenterCenter"
		ehsd_btn_11.value		= "W\nY\nP\nT"
		ehsd_btn_11.stringdefs	= MPCD_default_font_size
		ehsd_btn_11.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_11)

local	ehsd_btn_12				= create_mpcd_textured_box( 180, 864, 198, 922)
		ehsd_btn_12.name		= "ehsd_btn_12"
		ehsd_btn_12.init_pos	= mpcd_btn_12_pos
		ehsd_btn_12.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NOT_AWLS_Str"}}
Add_MPCD_VIDEO_Element(ehsd_btn_12)

local	ehsd_btn_13				= create_mpcd_textured_box( 209, 864, 227, 924)
		ehsd_btn_13.name		= "ehsd_btn_13"
		ehsd_btn_13.init_pos	= mpcd_btn_13_pos
		ehsd_btn_13.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NOT_AWLS_Str"}}
Add_MPCD_VIDEO_Element(ehsd_btn_13)

local	nav_indx_number				= CreateElement "ceStringPoly"
		nav_indx_number.name		= "nav_indx_number"
		nav_indx_number.material	= mpcd_tpod_font
		nav_indx_number.init_pos	= { 0.95,  0.165, 0}
		nav_indx_number.alignment	= "RightCenter"
		nav_indx_number.formats		= {"%s%d"}
		nav_indx_number.stringdefs	= MPCD_large_font_size
		nav_indx_number.controllers	= {{"EHSD_MAP_NMenu"}, {"wypt_index_number"}}
Add_MPCD_VIDEO_Element(nav_indx_number)

local	ehsd_btn_15				= CreateElement "ceStringPoly"
		ehsd_btn_15.name		= "ehsd_btn_15"
		ehsd_btn_15.material	= mpcd_tpod_font
		ehsd_btn_15.init_pos	= mpcd_btn_15_pos
		ehsd_btn_15.alignment	= "CenterCenter"
		ehsd_btn_15.value		= "E\nC\nM"
		ehsd_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_15)

-- BOTTOM
local	ehsd_btn_16				= CreateElement "ceStringPoly"
		ehsd_btn_16.name		= "ehsd_btn_16"
		ehsd_btn_16.material	= mpcd_tpod_font
		ehsd_btn_16.init_pos	= mpcd_btn_16_pos
		ehsd_btn_16.alignment	= "CenterCenter"
		ehsd_btn_16.formats		= {"%s"}
		ehsd_btn_16.stringdefs	= MPCD_default_font_size
		ehsd_btn_16.controllers = {{"EHSD_MAP_NMenu"}, {"nav_pos_source"}}
Add_MPCD_VIDEO_Element(ehsd_btn_16)

local	ehsd_btn_18				= CreateElement "ceStringPoly"
		ehsd_btn_18.name		= "ehsd_btn_18"
		ehsd_btn_18.material	= mpcd_tpod_font
		ehsd_btn_18.init_pos	= mpcd_btn_18_pos
		ehsd_btn_18.alignment	= "CenterCenter"
		ehsd_btn_18.value		= "MENU"
		ehsd_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_18)

local	ehsd_btn_19				= CreateElement "ceStringPoly"
		ehsd_btn_19.name		= "ehsd_btn_19"
		ehsd_btn_19.material	= mpcd_tpod_font
		ehsd_btn_19.init_pos	= mpcd_btn_19_pos
		ehsd_btn_19.alignment	= "CenterCenter"
		ehsd_btn_19.formats		= {"MK%d"}
		ehsd_btn_19.stringdefs	= MPCD_default_font_size
		ehsd_btn_19.controllers	= {{"EHSD_MAP_NMenu"}, {"mark_index_number"}}
Add_MPCD_VIDEO_Element(ehsd_btn_19)

local	ehsd_btn_20				= CreateElement "ceStringPoly"
		ehsd_btn_20.name		= "ehsd_btn_20"
		ehsd_btn_20.material	= mpcd_tpod_font
		ehsd_btn_20.init_pos	= mpcd_btn_20_pos
		ehsd_btn_20.alignment	= "CenterCenter"
		ehsd_btn_20.formats		= {"%s"}
		ehsd_btn_20.controllers	= {{"ehsd_scale_menu"}}
		ehsd_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_20)

-- SEA ALINGMENT MODE MENU
local	ehsd_btn_06_SEA				= CreateElement "ceStringPoly"
		ehsd_btn_06_SEA.name		= "ehsd_btn_06_SEA"
		ehsd_btn_06_SEA.material	= mpcd_tpod_font
		ehsd_btn_06_SEA.init_pos	= mpcd_btn_06_pos
		ehsd_btn_06_SEA.alignment	= "CenterCenter"
		ehsd_btn_06_SEA.value		= "MAN"
		ehsd_btn_06_SEA.stringdefs	= MPCD_default_font_size
		ehsd_btn_06_SEA.controllers	= {{"EHSD_INS_ALIGN_MODE_SEA"}}
Add_MPCD_VIDEO_Element(ehsd_btn_06_SEA)

local	ehsd_btn_08_SEA				= CreateElement "ceStringPoly"
		ehsd_btn_08_SEA.name		= "ehsd_btn_08_SEA"
		ehsd_btn_08_SEA.material	= mpcd_tpod_font
		ehsd_btn_08_SEA.init_pos	= mpcd_btn_08_pos
		ehsd_btn_08_SEA.alignment	= "CenterCenter"
		ehsd_btn_08_SEA.value		= "SINS"
		ehsd_btn_08_SEA.stringdefs	= MPCD_default_font_size
		ehsd_btn_08_SEA.controllers	= {{"EHSD_INS_ALIGN_MODE_SEA"}}
Add_MPCD_VIDEO_Element(ehsd_btn_08_SEA)


-- GND ALINGMENT MODE MENU
local	ehsd_btn_06_GND				= CreateElement "ceStringPoly"
		ehsd_btn_06_GND.name		= "ehsd_btn_06_GND"
		ehsd_btn_06_GND.material	= mpcd_tpod_font
		ehsd_btn_06_GND.init_pos	= mpcd_btn_06_pos
		ehsd_btn_06_GND.alignment	= "CenterCenter"
		ehsd_btn_06_GND.value		= "SHDG"
		ehsd_btn_06_GND.stringdefs	= MPCD_default_font_size
		ehsd_btn_06_GND.controllers	= {{"EHSD_INS_ALIGN_SHDG"}}
Add_MPCD_VIDEO_Element(ehsd_btn_06_GND)

-- WPT STEERING MODE MENU
local	ehsd_btn_14_wpt				= CreateElement "ceStringPoly"
		ehsd_btn_14_wpt.name		= "ehsd_btn_14_wpt"
		ehsd_btn_14_wpt.material	= mpcd_tpod_font
		ehsd_btn_14_wpt.init_pos	= mpcd_btn_14_pos
		ehsd_btn_14_wpt.alignment	= "CenterCenter"
		ehsd_btn_14_wpt.value		= "W\nO\n/\nS"
		ehsd_btn_14_wpt.stringdefs	= MPCD_default_font_size
		ehsd_btn_14_wpt.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_WOS_Valid"}}
Add_MPCD_VIDEO_Element(ehsd_btn_14_wpt)

-- TCN STEERING MODE MENU
local	ehsd_btn_14_tcn				= CreateElement "ceStringPoly"
		ehsd_btn_14_tcn.name		= "ehsd_btn_14_tcn"
		ehsd_btn_14_tcn.material	= mpcd_tpod_font
		ehsd_btn_14_tcn.init_pos	= mpcd_btn_14_pos
		ehsd_btn_14_tcn.alignment	= "CenterCenter"
		ehsd_btn_14_tcn.value		= "T\nO\n/\nS"
		ehsd_btn_14_tcn.stringdefs	= MPCD_default_font_size
		ehsd_btn_14_tcn.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_TOS_Valid"}}
Add_MPCD_VIDEO_Element(ehsd_btn_14_tcn)

-- SELECTED OPTIONS
local	gnd_shdg_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		gnd_shdg_sel.name			= "gnd_shdg_sel"
		gnd_shdg_sel.init_pos		= mpcd_btn_06_pos
		gnd_shdg_sel.controllers	= {{"EHSD_INS_ALIGN_SHDG"}, {"EHSD_INS_ALIGN_SHDG_SEL"}}
Add_MPCD_VIDEO_Element(gnd_shdg_sel)

